Bug 646637 - Review Request: jnr-netdb - Network services database access for java
Summary: Review Request: jnr-netdb - Network services database access for java
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 561462
Blocks: 561484
TreeView+ depends on / blocked
 
Reported: 2010-10-25 19:37 UTC by Mo Morsi
Modified: 2010-12-15 08:56 UTC (History)
3 users (show)

Fixed In Version: jnr-netdb-1.0.1-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-08 21:40:54 UTC
akurtako: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Mo Morsi 2010-10-25 19:37:00 UTC
Spec URL: http://mo.morsi.org/files/jruby/jnr-netdb.spec
SRPM URL: http://mo.morsi.org/files/jruby/jnr-netdb-1.0.1-1.fc13.src.rpm
Description: 
Network services database access for java

Required by JRuby (BZ #561484)

This requires jaffl (BZ #561462, which I will be updating momentarily) to work properly

$ rpmlint rpmbuild/RPMS/noarch/jnr-netdb-1.0.1-1.fc13.noarch.rpm \
          rpmbuild/SRPMS/jnr-netdb-1.0.1-1.fc13.src.rpm 
jnr-netdb.noarch: W: spelling-error %description -l en_US getservbyname -> dynameter
jnr-netdb.noarch: W: spelling-error %description -l en_US getservbyport 
jnr-netdb.src: W: spelling-error %description -l en_US getservbyname -> dynameter
jnr-netdb.src: W: spelling-error %description -l en_US getservbyport 
jnr-netdb.src: W: no-buildroot-tag
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

These can be ignored

Comment 1 Alexander Kurtakov 2010-11-10 22:06:59 UTC
Java packages should ship javadoc subpackages. Please add one.

Comment 3 Alexander Kurtakov 2010-11-18 17:53:56 UTC
I'll do this one.

Comment 4 Alexander Kurtakov 2010-11-18 18:17:56 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
jnr-netdb.noarch: W: spelling-error %description -l en_US getservbyname -> dynameter
jnr-netdb.noarch: W: spelling-error %description -l en_US getservbyport 
jnr-netdb.src: W: no-buildroot-tag
[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[!]  Package meets the Packaging Guidelines[2].
See issues at the end of this comment.
[x]  Package successfully compiles and builds into binary rpms.
[-]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: LGPLv3
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[!]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[!]  If package contains pom.xml files install it (including depmaps) even when building with ant 
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.



=== Issues ===
1. Package ships pom.xml so you must install it and add the maven depmap 
http://fedoraproject.org/wiki/Packaging:Java#Maven_pom.xml_files_and_depmaps
2.jar should be installed as %{name}.jar without %{name}-%{version}.jar
3. javadoc should be installe as %{buildroot}%{_javadocdir}/%{name} not %{buildroot}%{_javadocdir}/%{name}-%{version}
4. Executing ant jar javadoc instead of 2 ant calls will be a bit faster
5. Javadoc package doesn't really require the jar to be usable thus I would prefer to be able to install javadocs without dependency. This is up to you but if you do it note that you have to add the license file to the javadoc package too.

Comment 5 Mo Morsi 2010-12-02 15:21:15 UTC
OK thanks for the feedback and srry for the delay (was off all last week).

Updated package to:

1. include pom.xml and run the maven macros
2. install jar and javadocs as %{name} and not %{name}-%{version}
3. execute one 'ant jar javadoc' command (good catch, thx for this)

I still left the javadoc subpackage depending on the main one to keep consistency w/ all the other jruby packages. If this poses to be a big issue in the future we can just update the package.

Spec URL: http://mo.morsi.org/files/jruby/jnr-netdb.spec
SRPM URL: http://mo.morsi.org/files/jruby/jnr-netdb-1.0.1-3.fc13.src.rpm

Again thanks for the review.

Comment 6 Alexander Kurtakov 2010-12-02 15:42:18 UTC
Thanks. Everything is good.

APPROVED

Comment 7 Mo Morsi 2010-12-02 15:52:30 UTC
Thank you greatly

New Package SCM Request
=======================
Package Name: jnr-netdb
Short Description: Network services database access for java
Owners: mmorsi
Branches: f13 f14

Comment 8 Jason Tibbitts 2010-12-02 19:36:07 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2010-12-02 22:54:24 UTC
jnr-netdb-1.0.1-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/jnr-netdb-1.0.1-3.fc13

Comment 10 Fedora Update System 2010-12-02 22:54:47 UTC
jnr-netdb-1.0.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/jnr-netdb-1.0.1-3.fc14

Comment 11 Fedora Update System 2010-12-03 20:39:41 UTC
jnr-netdb-1.0.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jnr-netdb'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/jnr-netdb-1.0.1-3.fc13

Comment 12 Fedora Update System 2010-12-08 21:40:49 UTC
jnr-netdb-1.0.1-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-12-15 08:56:48 UTC
jnr-netdb-1.0.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.